Bug 989443 - Would be nice to have an ENV var pointing to app's pid file
Would be nice to have an ENV var pointing to app's pid file
Status: CLOSED WONTFIX
Product: OpenShift Online
Classification: Red Hat
Component: Image (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Dan McPherson
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 05:30 EDT by Oleg Fayans
Modified: 2016-11-30 19:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 23:02:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oleg Fayans 2013-07-29 05:30:33 EDT
Description of problem:

nodejs-0.6 has the following ENV variable:
OPENSHIFT_NODEJS_PID_DIR

It would be nice if all the cartridges had something like OPENSHIFT_APP_PROCESS_PID pointing to the pid file of the app. 

Version-Release number of selected component (if applicable):

devenv-stage_424

How reproducible:

Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Michal Fojtik 2013-08-20 09:43:44 EDT
What if there are more than one processes running in one cartridge? Typically more than one Apache service?
Comment 2 Michal Fojtik 2013-11-13 08:23:24 EST
Also for the Zend server for example, there are many services running in parallel so it is not clear to me what PID will should OPENSHIFT_ZEND_PID for example advertise.
Comment 3 Oleg Fayans 2013-12-12 04:28:39 EST
Not actual any more. I have found a way to find app's pid without the ENV variable. It was needed for testcases that check the hot_deploy functionality

Note You need to log in before you can comment on or make changes to this bug.